package com.picture.ar.drawing.utils;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.picture.ar.drawing.R;

public class MyText extends androidx.appcompat.widget.AppCompatTextView {


    public MyText(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }

    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.MyTV);
        boolean aBoolean = typedArray.getBoolean(R.styleable.MyTV_apply_font,false);
        if(aBoolean){
            ComUtils.initFont(this);
        }

        typedArray.recycle();
    }



}
